
public class Person
{
    private String name;
    private int number;

    public Person(String initialName, int initialNumber)
    {
        name = initialName;
        number = initialNumber;
    }

    public void set(String name, int number)
    {
        this.name = name;
        this.number = number;
    }

    public String toString( )
    {
        return (name + " " + number);
    }

    public void copier(Person other)
    {
        other.name = this.name;
        other.number = this.number;
    }
}

public class ClassParameterDemo1
{
    public static void main(String[] args)
    {
        Person p1 = new Person("Bob", 1);
        Person p2 = new Person("Ann", 2);
        p2.copier(p1);
        System.out.println(p1);
     }
}
